diff -r 73600ecef8e8 chirp/uvb5.py
--- a/chirp/uvb5.py	Wed May 29 10:53:01 2013 -0700
+++ b/chirp/uvb5.py	Sat Jun 01 16:20:12 2013 -0400
@@ -83,7 +83,14 @@
 struct {
   u8 code[6];
 } pttid;
-"""
+
+#seekto 0x0F30;
+struct {
+  lbcd lower_vhf[2];
+  lbcd upper_vhf[2];
+  lbcd lower_uhf[2];
+  lbcd upper_uhf[2];
+} limits;
 
 def do_ident(radio):
     radio.pipe.setTimeout(3)
@@ -465,6 +472,26 @@
                           RadioSettingValueBoolean(self._memobj.settings.sidetone))
         basic.append(rs)
 
+        rs = RadioSetting("limits.lower_vhf", "VHF Lower Limit (MHz)",
+                          RadioSettingValueInteger(1360, 1740,
+                                                   self._memobj.limits.lower_vhf))
+        basic.append(rs)
+
+        rs = RadioSetting("limits.upper_vhf", "VHF Upper Limit (MHz)",
+                          RadioSettingValueInteger(1360, 1740,
+                                                   self._memobj.limits.upper_vhf))
+        basic.append(rs)
+
+        rs = RadioSetting("limits.lower_uhf", "UHF Lower Limit (MHz)",
+                          RadioSettingValueInteger(4000, 5200,
+                                                   self._memobj.limits.lower_uhf))
+        basic.append(rs)
+
+        rs = RadioSetting("limits.upper_uhf", "UHF Upper Limit (MHz)",
+                          RadioSettingValueInteger(4000, 5200,
+                                                   self._memobj.limits.upper_uhf))
+        basic.append(rs)
+
         return group
 
     def set_settings(self, settings):
